Bug 439015 - Review Request: libzend-framework-php - A simple, straightforward, open-source software framework for PHP 5
Review Request: libzend-framework-php - A simple, straightforward, open-sourc...
Status: CLOSED DUPLICATE of bug 421241
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 11:38 EDT by Jess Portnoy
Modified: 2014-01-21 01:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 04:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jess Portnoy 2008-03-26 11:38:07 EDT
Spec URL: http://downloads.zend.com/framework/1.5/rpm/libzend-framework-php.spec
SRPM URL: http://downloads.zend.com/framework/1.5/rpm/libzend-framework-php-1.5.0-0.src.rpm
Description: Zend Framework is a simple, straightforward, open-source software framework for PHP 5 designed to eliminate the tedious details of coding and 
let you focus on the big picture. One of its strengths is the highly modular Model-View-Controller (MVC) design, making your code more reusable 
and easier to maintain.
Comment 1 seth vidal 2008-03-26 17:06:31 EDT
License must be one from this list:
http://fedoraproject.org/wiki/Licensing

so it should probably be Zend in this case

replace %{buildroot} with $RPM_BUILD_ROOT
get rid of #%setup - # isn't enough of a comment for rpm specfiles - Problems
will occur.
Release must start from 1, not 0 unless this is a pre-release package.

more vertical spacing between sections would be nice.


Did you go through all of these:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Comment 2 seth vidal 2008-03-26 17:12:08 EDT
oh and should it really just be dropping the files in /usr/share?

Comment 3 Jess Portnoy 2008-03-27 14:44:23 EDT
(In reply to comment #2)
> oh and should it really just be dropping the files in /usr/share?
> 
> 
Yes. These are just PHP files. The user should add the frame dir to his
include_path and he can start working with it.
I must confess, I wasn't sure whether it should install onto /usr/share or
/usr/lib. Perl and Python modules usually go to /usr/lib and that always seemed
like good practice to me, do you think it's better to place the
libzend-framework-php there instead?

Replaced %{buildroot} with $RPM_BUILD_ROOT.
Dropped the #%setup comment, it got in there by mistake in the first place.
Spaced the sections.
The updated version can be downloaded from the same URL.

Thank you for reviewing. 

Comment 4 Seth Vidal 2008-04-01 11:20:04 EDT
run rpmlint on your src.rpm, please. Lots of issues there:

 rpmlint libzend-framework-php-1.5.0-0.src.rpm
libzend-framework-php.src:11: W: hardcoded-packager-tag Zend
libzend-framework-php.src:24: W: setup-not-quiet
libzend-framework-php.src: E: no-cleaning-of-buildroot %install
libzend-framework-php.src: W: no-%build-section
libzend-framework-php.src: E: description-line-too-long Zend Framework is a
simple, straightforward, open-source software framework for PHP 5 designed to
eliminate the tedious details of coding and
libzend-framework-php.src: E: description-line-too-long let you focus on the big
picture. One of its strengths is the highly modular Model-View-Controller (MVC)
design, making your code more reusable
libzend-framework-php.src: W: invalid-license http://framework.zend.com/license
libzend-framework-php.src: W: strange-permission libzend-framework-php.spec 0666
Comment 5 Gianluca Sforna 2008-04-03 11:39:34 EDT
This looks like a duplicate of bug #421241 where the spec is, at first sight, in
a much better shape
Comment 6 Alexander Kahl 2008-04-04 04:04:45 EDT
Closing this bug as a duplicate of bug 421241. You are of course all welcome to
help improving the spec as there are still issues how to handle the unit tests
properly.

*** This bug has been marked as a duplicate of 421241 ***

Note You need to log in before you can comment on or make changes to this bug.